<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Transtypage</title>
 </head>
 <body>
 <?php
  define("WEB_EOL","<br/>");
  $i=1234;
  var_dump($i);
  echo WEB_EOL;
  $chaine=(string)$i; // transtypage explicite
  var_dump($chaine);
  echo WEB_EOL;
 ?>
 </body>
</html>

